#!/usr/bin/perl
use strict;
use warnings;

my $USAGE = "Usage: $0 setfile updatefile\n";
my $KEY = 16 # ID column

my $largeset = shift or die $USAGE;
my $updateset = shift or die $USAGE;

open(my $fh, '<:encoding(UTF-8)', $largeset)
  or die "Could not open file '$largeset' $!";
 
my %values;

while (my $row = <$fh>) {
  chomp $row;
  my @splitrow = split(/\|/, $row);
  $values{$splitrow[$KEY-1]} = $row; # count begins at 0, not 1
}

open(my $updatefile, '< :encoding(UTF-8)', $updateset)
  or die "Could not open file '$updateset' $!";

while(my $row = <$updatefile>) {
  chomp $row;
  my @splitrow = split(/\|/, $row);
  $values{$splitrow[$KEY-1]} = $row;
}

for my $id (keys %values) {
  print "$values{$id}\n";
}
